#
# spec file for package switchboard-plug-bluetooth
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define         appid io.elementary.settings.bluetooth
Name:           switchboard-plug-bluetooth
Version:        8.0.1
Release:        1.1
Summary:        Switchboard Bluetooth Plug
License:        GPL-3.0-or-later
URL:            https://github.com/elementary/switchboard-plug-bluetooth
Source0:        %{url}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  fdupes
BuildRequires:  meson
BuildRequires:  pkgconfig
BuildRequires:  vala
BuildRequires:  pkgconfig(granite-7)
BuildRequires:  pkgconfig(gtk4)
BuildRequires:  pkgconfig(libadwaita-1)
BuildRequires:  pkgconfig(switchboard-3)
Requires:       switchboard

%description
This plug configures bluetooth devices.

%lang_package

%prep
%autosetup

%build
%meson
%meson_build

%install
%meson_install
%fdupes %{buildroot}%{_datadir}
%find_lang %{appid}

%files
%license COPYING
%doc README.md
%dir %{_libdir}/{switchboard-3,switchboard-3/network}
%{_libdir}/switchboard-3/network/libbluetooth.so
%{_datadir}/metainfo/%{appid}.metainfo.xml

%files lang -f %{appid}.lang

%changelog
* Tue Nov 12 2024 Richard Rahl <rrahl0@opensuse.org>
- Require switchboard at runtime
* Wed Oct 23 2024 Richard Rahl <rrahl0@opensuse.org>
- update to 8.0.1:
  * Updated translations
* Fri Aug  9 2024 Richard Rahl <rrahl0@opensuse.org>
- update to 8.0.0:
  * Fix missing link to audio settings for some headphones
  * Updated translations
- update to 2.3.6:
  * Updated translations
- update to 2.3.5:
  * Fix a vulnerability that would allow a device to be paired without
    explicit user authorization (CVE-2021-21367)
- update to 2.3.4:
  * Fallback to device type when name is not available
  * Show "Discovering" indicator in an overlay bar
  * Updated translations
- update to 2.3.3:
  * Fix crash on devices without Bluetooth
  * Move "forget device" button to each device row
  * Updated translations
- update to 2.3.2:
  * Updated translations
- update to 2.3.1:
  * Updated translations
- switch url to github, as we don't want to link to a different OS
* Mon Nov  4 2019 Alexei Podvalsky <avvissu@yandex.by>
- Update to 2.3.0:
  * README: Update weblate badge
  * Add Release to Actions (#91)
  * Remove deb packaging from master (#92)
  * Delete CODE_OF_CONDUCT.md
  * Add Linter to CI (#85)
  * Add linter exceptions to DBus interface
  * Lint MainView, Agent, and Manager (#86)
  * Test using GitHub CI (#84)
  * build: fix install path for switchboard plug (#81)
  * Plug: Change code name to RDNN
  * Add pairing Agent (#50)
  * Merge remote-tracking branch 'weblate/master'
  * Update extra POTFILES
* Thu May  2 2019 Alexei Podvalsky <avvissu@yandex.by>
- Update to 2.2.2:
  * New upstream release.
* Mon Mar  4 2019 Alexei Podvalsky <avvissu@yandex.by>
- Update to 2.2.1:
  * New upstream release.
* Thu Nov  8 2018 Alexei Podvalsky <avvissu@yandex.by>
- Add regex for filtering provided libraries
* Wed Oct 17 2018 Alexei Podvalsky <avvissu@yandex.by>
- Update to 2.1.2:
  * New upstream release.
* Mon Jun 11 2018 avvissu@yandex.by
- Update to 0.1.1:
  * New upstream release.
* Sat Jun  9 2018 avvissu@yandex.by
- Switch to github
- Switch to meson
- Add COPYING and README files
- Spec file cleanup
* Sat Jun  3 2017 avvissu@yandex.by
- Add wingpanel-indicator-bluetooth as required dependence
* Thu Feb 23 2017 avvissu@yandex.by
- Initial package
